<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Belajar VueJS</title>
</head>
<body>
    <div id="app">
        <button onclick = "vm.openForm()" > Open Form</button>
        <h1>{{`Jumlah Nilai a : ` + a}}</h1>
        <h1>{{`Rata-rata : ` + avg}}</h1>
      </div>
      
      <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
      <script>
       var vm = new Vue({
          el: '#app',
          data: {
            a : 0,
            countData : 0,            
            avg : 0

          },
          methods : {
            openForm : function(){
                while (this.a <=10) {
                    this.a = this.a + parseInt(prompt("Masukkan nilai a:"))
                    this.countData = this.countData+1
                }
                this.avg=this.a / this.countData
            }
          }
      })
      </script>
</body>
</html>